<?php
// Datenbank-Verbindungsparameter
require_once ('dbutils.php');
require_once ('admin.php');
require_once ('queuecontent.php');
require_once ('products.php');
require_once ('roomtables.php');
require_once ('reports.php');
require_once ('bill.php');
require_once ('closing.php');
require_once ('printqueue.php');
require_once ('feedback.php');

// always as GET is the module and the command - further data is POST!
$module = $_GET["module"];
$command = $_GET["command"];

if ($module == 'admin') {
	$adminModule = new Admin;
	$adminModule->handleCommand($command);
} else if ($module == 'queue') {
	$queueContent = new QueueContent();
	$queueContent->handleCommand($command);
} else if ($module == 'products') {
	$products = new Products();
	$products->handleCommand($command);
} else if ($module == 'roomtables') {
	$roomtables = new Roomtables();
	$roomtables->handleCommand($command);
} else if ($module == 'reports') {
	$reports = new Reports();
	$reports->handleCommand($command);
} else if ($module == 'bill') {
	$reports = new Bill();
	$reports->handleCommand($command);
} else if ($module == 'closing') {
	$closingModule = new Closing();
	$closingModule->handleCommand($command);
} else if ($module == 'printqueue') {
	$printQueue = new PrintQueue();
	$printQueue->handleCommand($command);
} else if ($module == 'feedback') {
	$feedback = new Feedback();
	$feedback->handleCommand($command);
}

?>